Skip to main content
GET
/
b2b
/
portfolio
/
{user}
/
transactions
List Portfolio Transactions
curl --request GET \
  --url https://nexus.kraken.com/b2b/portfolio/{user}/transactions \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>'
{
  "result": {
    "transactions": [
      {
        "id": "<string>",
        "time": "2023-11-07T05:31:56Z",
        "type": "simple_order",
        "ref_id": "<string>",
        "status": "unspecified",
        "ref_id2": "<string>",
        "spend": {
          "amount": {
            "asset": "<string>",
            "amount": "1.23",
            "asset_class": "currency",
            "asset_name": "<string>"
          },
          "total": {
            "asset": "<string>",
            "amount": "1.23",
            "asset_class": "currency",
            "asset_name": "<string>"
          },
          "ledger_id": "<string>",
          "time": "2023-11-07T05:31:56Z",
          "quoted_amount": {
            "asset": "<string>",
            "amount": "1.23",
            "asset_class": "currency",
            "asset_name": "<string>"
          },
          "fee": {
            "asset": "<string>",
            "amount": "1.23",
            "asset_class": "currency",
            "asset_name": "<string>"
          },
          "quoted_fee": {
            "asset": "<string>",
            "amount": "1.23",
            "asset_class": "currency",
            "asset_name": "<string>"
          },
          "quoted_total": {
            "asset": "<string>",
            "amount": "1.23",
            "asset_class": "currency",
            "asset_name": "<string>"
          },
          "balance": {
            "asset": "<string>",
            "amount": "1.23",
            "asset_class": "currency",
            "asset_name": "<string>"
          }
        },
        "receive": {
          "amount": {
            "asset": "<string>",
            "amount": "1.23",
            "asset_class": "currency",
            "asset_name": "<string>"
          },
          "total": {
            "asset": "<string>",
            "amount": "1.23",
            "asset_class": "currency",
            "asset_name": "<string>"
          },
          "ledger_id": "<string>",
          "time": "2023-11-07T05:31:56Z",
          "quoted_amount": {
            "asset": "<string>",
            "amount": "1.23",
            "asset_class": "currency",
            "asset_name": "<string>"
          },
          "fee": {
            "asset": "<string>",
            "amount": "1.23",
            "asset_class": "currency",
            "asset_name": "<string>"
          },
          "quoted_fee": {
            "asset": "<string>",
            "amount": "1.23",
            "asset_class": "currency",
            "asset_name": "<string>"
          },
          "quoted_total": {
            "asset": "<string>",
            "amount": "1.23",
            "asset_class": "currency",
            "asset_name": "<string>"
          },
          "balance": {
            "asset": "<string>",
            "amount": "1.23",
            "asset_class": "currency",
            "asset_name": "<string>"
          }
        },
        "details": {
          "type": "simple_order",
          "quote_id": "<string>",
          "trade_type": "unspecified",
          "parent_transaction": "<string>"
        }
      }
    ],
    "next_cursor": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Path Parameters

user
string
required

Internet International Bank Account Number (IIBAN)

Required string length: 14 - 42

Query Parameters

cursor
string | null

Pagination cursor for fetching the next set of results

types
enum<string>[] | null

Filter for transaction types

Available options:
simple_order,
simple_order_failed,
custom_order,
custom_order_failed,
earn_reward,
deposit
page_size
integer<uint64> | null

Number of transactions to return per page. Default is 25 if not specified.

Required range: 0 <= x <= 25
assets
string[] | null

Filter transactions by specific assets

Maximum string length: 16
from_time
string<date-time> | null

Filter transactions that occurred after this timestamp (exclusive)

until_time
string<date-time> | null

Filter transactions that occurred before or at this timestamp (inclusive)

statuses
enum<string>[] | null

Filter transactions by their status

Filter criteria for transaction status in query results.

Available options:
no_status,
unspecified,
in_progress,
successful,
failed
ids
string[] | null

Filter transactions by specific transaction IDs

A unique identifier for a portfolio transaction.

sorting
enum<string> | null

Specify the order of results (ascending or descending by time)

Available options:
descending,
ascending
ref_ids
object[] | null

Reference ID filters, this can be used to filter by quote id.

quote
string | null

Currency to use for quoting amounts and fees in the response. Quoting is best-effort based on rates at transaction time. If not provided or if quoting is unavailable, quoted fields will be None.

Maximum string length: 16

Response

Response

result
object